#  Copyright (C) 1999-2009
#  Smithsonian Astrophysical Observatory, Cambridge, MA, USA
#  For conditions of distribution and use, see copyright notice in "copyright"

package provide DS9 1.0

proc MagnifierDef {} {
    global magnifier

    set magnifier(size) 128
    set magnifier(region) 1
    set magnifier(cursor) 1
    set magnifier(zoom) 4
}

proc UpdateMagnifier {which x y} {
    global view

    if {$view(magnifier)} {
	$which magnifier update $x $y
    }
}

# Prefs Cmds

proc PrefsMagnifierRegion {} {
    global magnifier
    global ds9
    
    foreach f $ds9(frames) {
	$f magnifier graphics $magnifier(region)
    }
}

proc PrefsMagnifierCursor {} {
    global magnifier
    global ds9
    
    foreach f $ds9(frames) {
	$f magnifier cursor $magnifier(cursor)
    }
}

proc PrefsMagnifierZoom {} {
    global magnifier
    global ds9

    foreach f $ds9(frames) {
	$f magnifier zoom $magnifier(zoom)
    }
}
